| Flutter macOS Embedder |

Classes | Functions | Variables
FlutterViewController.mm File Reference
`#import "flutter/shell/platform/darwin/macos/framework/Headers/FlutterViewController.h"`
`#import "flutter/shell/platform/darwin/macos/framework/Source/FlutterViewController_Internal.h"`
`#include <Carbon/Carbon.h>`
`#import <objc/message.h>`
`#include "flutter/common/constants.h"`
`#include "flutter/fml/platform/darwin/cf_utils.h"`
`#import "flutter/shell/platform/darwin/common/framework/Headers/FlutterChannels.h"`
`#import "flutter/shell/platform/darwin/common/framework/Headers/FlutterCodecs.h"`
`#import "flutter/shell/platform/darwin/macos/framework/Headers/FlutterEngine.h"`
`#import "flutter/shell/platform/darwin/macos/framework/Source/FlutterEngine_Internal.h"`
`#import "flutter/shell/platform/darwin/macos/framework/Source/FlutterKeyPrimaryResponder.h"`
`#import "flutter/shell/platform/darwin/macos/framework/Source/FlutterKeyboardManager.h"`
`#import "flutter/shell/platform/darwin/macos/framework/Source/FlutterRenderer.h"`
`#import "flutter/shell/platform/darwin/macos/framework/Source/FlutterTextInputSemanticsObject.h"`
`#import "flutter/shell/platform/darwin/macos/framework/Source/FlutterView.h"`
`#include "flutter/shell/platform/embedder/embedder.h"`

Go to the source code of this file.

## Classes
class | FlutterViewWrapper

## Functions
static void | OnKeyboardLayoutChanged (CFNotificationCenterRef center, void *observer, CFStringRef name, const void *object, CFDictionaryRef userInfo)

## Variables
__weak FlutterViewController * | _controller
std::shared_ptr< flutter::AccessibilityBridgeMac > | _bridge
FlutterThreadSynchronizer * | _threadSynchronizer

## Function Documentation

## ◆ OnKeyboardLayoutChanged()

static void OnKeyboardLayoutChanged | ( | CFNotificationCenterRef | center,
|  | void * | observer,
|  | CFStringRef | name,
|  | const void * | object,
|  | CFDictionaryRef | userInfo
| ) |  |
| static

NotificationCenter callback invoked on kTISNotifySelectedKeyboardInputSourceChanged events.

Definition at line 239 of file FlutterViewController.mm.

243 {
244 FlutterViewController* controller = (__bridge FlutterViewController*)observer;
245 if (controller != nil) {
246 [controller onKeyboardLayoutChanged];
247 }
248 }
FlutterViewController
Definition: FlutterViewController.h:73

Referenced by FlutterViewController::attached.

## Variable Documentation

## ◆ _bridge

std::shared_ptr<flutter::AccessibilityBridgeMac> _bridge

Initial value:
{
FlutterDartProject* _project
_project
FlutterDartProject * _project
Definition: FlutterEngine.mm:409
FlutterDartProject
Definition: FlutterDartProject.mm:24

Definition at line 337 of file FlutterViewController.mm.

## ◆ _controller

__weak FlutterViewController* _controller

Initial value:
{
FlutterView* _flutterView
FlutterView
Definition: FlutterView.h:36

Definition at line 252 of file FlutterViewController.mm.

## ◆ _threadSynchronizer

FlutterThreadSynchronizer* _threadSynchronizer

Definition at line 341 of file FlutterViewController.mm.